This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 825272 - [abrt] yum-3.4.3-24.fc16: verify.py:284:show_problem:TypeError: cannot concatenate 'str' and 'NoneType' objects
[abrt] yum-3.4.3-24.fc16: verify.py:284:show_problem:TypeError: cannot concat...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:2d485ba4fcaa1abedb06bccb06a...
:
: 874227 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 10:12 EDT by Jerzy Spendel
Modified: 2014-02-05 06:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 06:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerzy Spendel 2012-05-25 10:12:23 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/yum verify-multilib
event_log:      2012-05-25-16:09:39> Smolt profile successfully saved
executable:     /usr/bin/yum
kernel:         3.3.6-3.fc16.x86_64
time:           czw, 24 maj 2012, 22:59:20
uid:            1000
username:       jerzy

backtrace:
:verify.py:284:show_problem:TypeError: cannot concatenate 'str' and 'NoneType' objects
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 146, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/lib/yum-plugins/verify.py", line 363, in doCommand
:    self.show_data(base, msg, ypl.installed, 'Installed Packages')
:  File "/usr/lib/yum-plugins/verify.py", line 316, in show_data
:    self.show_problem(base, msg, problem, done_prob)
:  File "/usr/lib/yum-plugins/verify.py", line 284, in show_problem
:    msg("        Current:  " + hib + cv + hie)
:TypeError: cannot concatenate 'str' and 'NoneType' objects
:
:Local variables in innermost frame:
:self: <verify.VerifyCommand instance at 0x2818488>
:hib: ''
:base: <cli.YumBaseCli object at 0x270b650>
:done: False
:hie: ''
:msg: <function msg at 0x281a6e0>
:ov: 'sha256:508d7e278d2eb377c97f3fc191f62c43be3d151484df2daac5e0490720ae1c93'
:problem: <yum.packages._PkgVerifyProb instance at 0x3b71e18>
:cv: None

smolt_data:
:
:
:Ogólne
:=================================
:UUID: 84a1bf3a-f7ed-4ad0-9ee4-cec1d6d2f9e6
:System operacyjny: Fedora release 16 (Verne)
:Domyślny poziom uruchamiania: Unknown
:Język: pl_PL.utf8
:Platforma: x86_64
:BogoMIPS: 1994.76
:Producent procesora: AuthenticAMD
:Model procesora: AMD Athlon(tm) 64 X2 Dual Core Processor 5200+
:Stepping procesora: 2
:Rodzina procesora: 15
:Numer modelu procesora: 107
:Liczba procesorów: 2
:Prędkość procesora: 2700
:Pamięć systemu: 3955
:Przestrzeń wymiany systemu: 0
:Producent: System manufacturer
:System: System Product Name System Version
:Konstrukcja płyty głównej: Desktop
:Jądro: 3.3.6-3.fc16.x86_64
:SELinux jest włączony: 1
:Polityka SELinuksa: targeted
:Wymuszanie SELinuksa: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Urządzenia
:=================================
:(4098:30998:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 2)
:(4098:30999:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Port 3)
:(4098:43608:4163:43608) pci, snd_hda_intel, MULTIMEDIA, Juniper HDMI Audio [Radeon HD 5700 Series]
:(4098:17290:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI3)
:(4098:30992:4163:33480) pci, None, HOST/PCI, RS690 Host Bridge
:(4098:17292:4163:33416) pci, pata_atiixp, STORAGE, SB600 IDE
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4098:17280:4163:33416) pci, ahci, STORAGE, SB600 Non-Raid-5 SATA
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:(4098:30995:4163:33480) pci, pcieport, PCI/PCI, RS690 PCI to PCI Bridge (PCI Express Graphics Port 0)
:(4098:17285:4163:33416) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17293:4163:33416) pci, None, PCI/ISA, SB600 PCI to LPC Bridge
:(4098:17283:4163:33424) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17289:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI2)
:(4098:26808:4163:836) pci, fglrx_pci, VIDEO, Juniper [Radeon HD 5700 Series]
:(4098:17287:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI0)
:(4098:17288:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI1)
:(4098:17291:4163:33416) pci, ohci_hcd, USB, SB600 USB (OHCI4)
:(4098:17286:4163:33416) pci, ehci_hcd, USB, SB600 USB Controller (EHCI)
:(6164:1537:5943:103) pci, rt2800pci, NETWORK, RT2800 802.11n PCI
:
:
:Informacje o systemie plików
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 25573792 20889795 20633868 6406144 6033642 6033642
:/dev/sda3 /home ext4 4096 4096 20057229 4669559 3665092 5029888 4748166 4748166
:
Comment 1 Jerzy Spendel 2012-05-26 16:51:32 EDT
Recently i used verify multilib.

Package: yum-3.4.3-24.fc16
OS Release: Fedora release 16 (Verne)
Comment 2 Zdeněk Pavlas 2012-11-08 03:14:25 EST
*** Bug 874227 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-01-16 11:49:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alex Cruise 2013-01-16 13:01:53 EST
The symptom is still present in 18, but I  haven't looked to see if the cause is the same.  Probably is, so can someone with the right permissions update the version, or set whatever flag will spare this bug from the auto-reaper?  Thanks! :)
Comment 5 Zdeněk Pavlas 2013-01-17 07:53:18 EST
Yes, the upstream fix is not in F18 yet.
Comment 6 Fedora End Of Life 2013-12-21 03:36:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 06:58:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.